<?php
$this->layout('base');
?>
                <section class="row">
                        <div class=" col-xs-12 col-sm-4 col-md-4 col-lg-4 hidden-xs">
                            <?= $this->Html->link($this->Html->image(COMPTOIR_SRV_URL . $user->logo_directory . DS . $user->photo,
                                ["alt" => $user->username, "class" => "img-responsive size-logo-overview"]),
                                "#",// url of the entity web site.
                                ['escape' => false, "class" => "img-responsive"]) ?>
                        </div>

                        <div class="col-xs-11 col-sm-7 col-md-8 col-lg-8">
                            <ul class="list-unstyled">
                                <li>
                                    <h1>
                                        <?= $user->username ?>
                                    </h1>
                                </li>
                            </ul>
                            <div>
                                <p class="text-overflow">
                                    <?= $user->description ?>
                                </p>
                            </div>
                        </div>
                </section>
 <!-- END of OVERVIEW-->


                <section>
                    <?php echo $this->Lists->softwareBlock(
                        \Cake\Utility\Hash::extract($user->contributionssoftwares, '{n}.software'),
                        [
                            "title" => __d("ElementEntity", "Contributor for"),
                            "link" => [
                                "id" => $user->id,
                                "action" => "contributionsSoftwares",
                                "participate" => __d("Layout", "Declare a software that {0} has contributed to.", $user->username),
                            ],
                            "tooManyMsg" => __d("Layout", "See all"),
                            "titleSeeAll" => __d("Layout", "All softwares which {0} has contributed to.", $user->username),
                            "emptyMsg" => __d("ElementEntity", "{0} do not contribute to any project, yet.", $user->username)
                        ]
                    ); ?>
                </section>

                <section>
                    <?php

                    echo $this->Lists->softwareBlock(
                        \Cake\Utility\Hash::extract($user->providerforsoftwares, '{n}.software'),
                        [
                            "title" => __d("ElementEntity", "Provider for"),
                            "link" => [
                                "id" => $user->id,
                                "action" => "providerforSoftwares",
                                "participate" => __d("Layout", "Declare a software that {0} is a service provider for.", $user->username),
                            ],
                            "tooManyMsg" => __d("Layout", "See all"),
                            "titleSeeAll" => __d("Layout", "All softwares which {0} is a service provider for.", $user->username),
                            "emptyMsg" => __d("ElementEntity", "{0} do not povide a software, yet.", $user->username)
                        ]
                    ); ?>
                </section>

                <section>
                    <?php echo $this->Lists->softwareBlock(
                        \Cake\Utility\Hash::extract($user->usedsoftwares, '{n}.software'),
                        [
                            "title" => __d("ElementEntity", "User of"),
                            "link" => [
                                "id" => $user->id,
                                "action" => "UsedSoftwares",
                                "participate" => __d("Layout", "Declare a software that is used by {0}.", $user->username),
                            ],
                            "tooManyMsg" => __d("Layout", "See all"),
                            "titleSeeAll" => __d("Layout", "All softwares used by {0}", $user->username),
                            "emptyMsg" => __d("ElementEntity", "{0} do not used a software, yet.", $user->username)
                        ]
                    ); ?>
                </section>